
%define PACKAGE_NAME openvas-libraries
%define PACKAGE_VERSION 1.0.1
%define release 1.fc8.openvas
%define _prefix /usr

Summary: Support libraries for Open Vulnerability Assessment (OpenVAS) Server
Name:    openvas-libraries
Version: 1.0.2
Release: 1.art
Source0: %{name}-%{version}.tar.gz
Patch0:  %{name}-1.0.1-Makefile.diff
Patch1:  %{name}-1.0.1-hg-Makefile.diff
License: GNU LGPLv2
Group: Productivity/Networking/Security
Vendor: OpenVAS Development Team, http://www.openvas.org 
#Distribution: Fedora 8
BuildRoot: %{_builddir}/%{name}-root
Prefix: %{_prefix}

# TODO: refine: gnutls-devel works with >= 1.4.4, definitly not with 1.0.8
BuildRequires: gnutls-devel 

%if 0%{?el3}%{?el4}%{?fc4}%{?fc5}
BuildRequires: libpcap
%else
BuildRequires: libpcap-devel
%endif




%package devel
Summary: Development files for openvas-libraries
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description
openvas-libraries is the base library for the OpenVAS network
security scanner.

%description devel
This package contains the development files (mainly C header files)
for openvas-libraries.

%prep
%setup -b 0
#%patch0
#%patch1

%build
%configure --prefix=%{_prefix}
make

%install
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc INSTALL_README TODO libopenvas/COPYING 
%{_libdir}/lib*

%files devel
%defattr(-,root,root,-)
%{_includedir}/openvas/
%{_bindir}/libopenvas-config
%{_mandir}/man1/libopenvas-config.1.gz

%changelog
* Wed Nov 5 2008 Scott R. Shinn <scott@atomicrocketturtle.com> - 1.0.2-1
- Update to 1.0.2
- Merge into Atomic

* Fri Apr 18 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  - Adapated for Fedora 8 (naming)
  - %post and %postrun changed to apply ldconfig directly instead of using
    a (SUSE specific?) scriplet.
  - extended BuildRequires with libpcap-devel
* Tue Apr 15 2008 Jan-Oliver Wagner <jan-oliver.wagner@intevation.de>
  Initial SUSE 10.2 spec file, tested for i586
